Bug 1296866 - BAT hangs
BAT hangs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 04:52 EST by Erik P. Olsen
Modified: 2018-05-29 08:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:10:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase of restore with BAT. (3.12 KB, text/plain)
2016-01-29 15:19 EST, Erik P. Olsen
no flags Details
Testcase: bat -d100 (1.26 KB, text/plain)
2016-01-30 17:00 EST, Erik P. Olsen
no flags Details
Testcase bacula7.4.2: bat -d100 (1.19 KB, text/plain)
2016-07-22 03:19 EDT, Erik P. Olsen
no flags Details
Testcase v9.0.6: bat -200 (4.00 KB, text/plain)
2018-04-02 13:45 EDT, Erik P. Olsen
no flags Details
Testcase v9.0.6: Error messages from /var/log (4.76 KB, text/plain)
2018-04-02 13:46 EDT, Erik P. Olsen
no flags Details

  None (edit)
Description Erik P. Olsen 2016-01-08 04:52:10 EST
Description of problem:
Restoring files using BAT causes BAT to hang after having marked selected files for restore. As soon as GO is entered for running the restore the following error message pops up in /var/log/messages:

Jan  8 06:49:52 epohost bacula-dir: epo-dir: sql_get.c:153-0 === Problem!  sql_get.c:152 get_file_record want 1 got rows=2 PathId=1874 FilenameId=1

Using bconsole restoring completes correctly.

Version-Release number of selected component (if applicable):
Bacula 7.2.0-3
Bacula-console-bat 7.2.0-3


How reproducible:
Happens every time.


Steps to Reproduce:
1. command bat
2. Press restore button
3. Select restore job and time after which to restore, press OK
4. On Restore Selection mark files to restore, press OK
5. BAT hangs

Actual results:
Nothing restored.

Expected results:
Restore of marked files.

Additional info:
I've marked severity as high. If restore by means of bconsole had also been impossible I would have marked the severity as urgent because a backup system is worthless if you can't restore.
Comment 1 Erik P. Olsen 2016-01-19 03:35:27 EST
I see this error on two machines. I've reported it to bacula's bug tracking system but Kern Sibbald has closed it since he cannot reproduce the error. He suspects that it is due to an incorrect build of BAT probably using a wrong version of Qt which should be 4.8.4.

Can you please check this info?
Comment 2 Fedora Update System 2016-01-26 10:49:29 EST
bacula-docs-7.4.0-1.fc23 bacula-7.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30a37a8e0d
Comment 3 Fedora Update System 2016-01-28 17:27:19 EST
bacula-7.4.0-1.fc23, bacula-docs-7.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30a37a8e0d
Comment 4 Erik P. Olsen 2016-01-29 15:19 EST
Created attachment 1119516 [details]
Testcase of restore with BAT.
Comment 5 Erik P. Olsen 2016-01-29 15:30:48 EST
Unfortunately bacula 7.4.0 did not fix the problem. I've attached a testcase in which I try to restore an arbitrary set of files. Please note that it end with two identical lines telling the number of files to be restored. From that point nothing else happens.

There is no problem restoring files using bconsole, so the problem is with BAT alone.
Comment 6 Simone Caronni 2016-01-30 11:12:45 EST
Thanks for feedback, I re-edited it. Bat in Bacula is not a first class citizen, even though in this release they backported some Enterprise code, not much has changed.

Removed the bug from the update.
Comment 7 Erik P. Olsen 2016-01-30 17:00 EST
Created attachment 1119676 [details]
Testcase: bat -d100

Output from a testcase using debug argument -d100. Had to exit bat with Ctrl+C
Comment 8 Erik P. Olsen 2016-04-19 10:32:15 EDT
Any progress so far?
Comment 9 Erik P. Olsen 2016-07-22 03:19 EDT
Created attachment 1182722 [details]
Testcase bacula7.4.2: bat -d100

Have upgraded to bacula 7.4.2 and am still experiencing this hang. Suggest you work with the bacula team to fix this annoying bug. Kern Sibbald believes the problem is due to a faulty packaging.

Needless to repeat: there is no problem with bconsole.
Comment 10 Erik P. Olsen 2016-10-16 01:20:04 EDT
Now running bacula 7.4.4 on FC24, bat still hangs.
Comment 11 Fedora End Of Life 2016-11-24 09:47:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Erik P. Olsen 2016-11-24 15:58:04 EST
Changed the version to 24 since the bug is still not fixed.
Comment 13 Jim 2017-04-07 08:51:15 EDT
Not sure if related, but I am having bat.exe "hang" issues on Windows 10.

Bacula version 7.0.5 running on CentOS7
Bat 7.4.4 (Bacula Systems Enterprise)

About 50% of the time I launch bat, it shows the Connection to bacula-dir, but then hangs.  I kill it and restart, then most of the time it works.

Also, when I do get past the initial startup, attempting to create a job will hang about 1/2 the time as well.

No issues at all with bconsole, so this is a bat specific problem.

Any thoughts?
Comment 14 Simone Caronni 2017-04-07 10:35:01 EDT
This bug is for the version in Fedora. For RHEL/CentOS you can try to open a bug with "Red Hat Enterprise Linux" as a component or with your customer access.

Normally console/director/storage need to be in sync, and only the clients can be a lower version when connecting to the director/storage.

For the Enterprise version of Bacula you need to report to Bacula Systems.

If you're intersted, there's a rebuild of version 7.4.7 for CentOS/RHEL that updates packages straight away. I make sure that it can upgrade the packages from base CentOS/RHEL 6+ at every release:

https://copr.fedorainfracloud.org/coprs/slaanesh/Bacula/
Comment 15 Fedora End Of Life 2017-07-25 15:44:31 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Erik P. Olsen 2017-07-25 16:30:23 EDT
Changed the version to 26 since the bug is still not fixed.
Comment 17 Erik P. Olsen 2018-04-02 08:15:45 EDT
I have now moved to F27 and bacula 9.0.5 and the bug is still not fixed. I understand from the bacula community list that people who have build bacula from source do not have this problem so I believe the bug is introduced with the package provided by fedora.
Comment 18 Erik P. Olsen 2018-04-02 13:45 EDT
Created attachment 1416430 [details]
Testcase v9.0.6: bat -200
Comment 19 Erik P. Olsen 2018-04-02 13:46 EDT
Created attachment 1416431 [details]
Testcase v9.0.6: Error messages from /var/log
Comment 20 Erik P. Olsen 2018-04-02 13:49:25 EDT
I've attached two sets of error messages which I believe speak for themselves.
Comment 21 Fedora End Of Life 2018-05-03 04:27:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2018-05-29 08:10:08 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.